/**************************************************************************
	LGBCheckbox
	
	Public domain, by Zig Zichterman.
	
	This class implements 3D checkboxes according to the guidelines
	suggested in _develop_ 15. Some of the drawing code is taken from
	the public domain source accompanying _develop_ 15.
**************************************************************************/
#pragma once

class LGBCheckbox {
	public :
		static long	Main(short inVariation, ControlHandle ioControl,
				short inMsg, long ioParam);

	//  constructor 
	protected :
		LGBCheckbox(ControlRecord *inControl, Boolean inUseWFont);
		ControlRecord	*mControl;
		Boolean			mUseWFont;
		
	//  dispatch 
	protected :
		void	Draw(long inPartCode);
		Boolean	Test(Point inHitPt);
		void	CalcCRgn(RgnHandle ioRgn);
		
	//  Draw 
	protected :
		void	DrawBW(void);
		void	DrawColor(void);
		void	DrawColorActive(void);
		void	DrawColorInactive(void);
		void	CalcBoxes(Rect &outCheckbox, Rect &titleBox);
		void	DrawCheckbox(const Rect &inCheckbox, Boolean inColor = false);
		void	DrawTitle(const Rect &inTitlebox, Boolean inDim1Bit = false);
};

