/**************************************************************************
	UGBDraw
	
	Public domain, by Zig Zichterman.
	
	Utility functions for drawing in color. All these functions assume
	color quickdraw.
	
	This class implements 3D drawing according to the guidelines
	suggested in _develop_ 15. Some of the drawing code is taken from
	the public domain source accompanying _develop_ 15.
**************************************************************************/
#include "UGBDraw.h"

/**************************************************************************
	PenNormal()
	
	Restore the pen color to black on grety
**************************************************************************/
void
UGBDraw::PenNormal(void)
{
	ForeGrey(UGBDraw_black);
	BackGrey(UGBDraw_background);
}

/**************************************************************************
	PenReallyNormal()
	
	Restore the pen color to black on white
**************************************************************************/
void
UGBDraw::PenReallyNormal(void)
{
	ForeGrey(UGBDraw_black);
	BackGrey(UGBDraw_white);
}

/**************************************************************************
	ForeGrey()
	
	Set the pen to a grey level.
**************************************************************************/
void
UGBDraw::ForeGrey(unsigned short inGrey)
{
	RGBColor	color;
	color.red = color.green = color.blue = inGrey;
	::RGBForeColor(&color);
}


/**************************************************************************
	BackGrey()
	
	Set the pen to a grey level.
**************************************************************************/
void
UGBDraw::BackGrey(unsigned short inGrey)
{
	RGBColor	color;
	color.red = color.green = color.blue = inGrey;
	::RGBBackColor(&color);
}
