Devel			=	0x20
Alpha			=	0x40
Beta			=	0x60
Final			=	0x80

Major			=	0x01
Minor			=	0x00
Stage			=	{Devel}
Revision		=	0x03

VersionString	=	1.0d3
VersionBytes	=	{Major},{Minor},{Stage},{Revision}

ApplicationName	=	Floaters
CreatorType		=	FLOT
PartitionSize	=	256

#
#	USES68KINLINES and USESROUTINEDESCRIPTORS are symbols used by the universal
# header files as compile time switches. These symbols are set to compile for
# the 68K architecture. To compile this code as native PowerPC code, reverse the
# settings of these symbols.
#

COptions		=	-r -b -opt full -warnings on -mbg off					
					-d SystemSevenOrLater=1									
					-d USES68KINLINES=1 -d USESROUTINEDESCRIPTORS=0			
					-i "{UniversalCIncludes}"
					
ROptions		=	-append													
					-d PartitionSize={PartitionSize}						
					-d ApplicationName="{ApplicationName}"					
					-d VersionString="{VersionString}"						
					-d VersionBytes={VersionBytes}							
					-d SystemSevenOrLater=true
				
Objs			=	init.c.o												
					eventHandler.c.o										
					menuDispatch.c.o										
					fileMenuRoutines.c.o									
					appleEventHandlers.c.o									
					WindowExtensions.c.o									
					trapAvail.c.o
					
trapAvail.c.o				"{UniversalCIncludes}Types.h"					
							"{UniversalCIncludes}Traps.h"					
							"{UniversalCIncludes}OSUtils.h"					
							globals.h										
							trapAvail.h										
							trapAvail.c

WindowExtensions.c.o		"{UniversalCIncludes}Types.h"					
							"{UniversalCIncludes}Events.h"					
							"{UniversalCIncludes}GestaltEqu.h"				
							"{UniversalCIncludes}Memory.h"					
							"{UniversalCIncludes}Menus.h"					
							"{UniversalCIncludes}SysEqu.h"					
							"{UniversalCIncludes}ToolUtils.h"				
							"{UniversalCIncludes}Windows.h"					
							WindowExtensions.h								
							WindowExtensions.c
							
appleEventHandlers.c.o		"{UniversalCIncludes}Types.h"					
							"{UniversalCIncludes}AppleEvents.h"				
							"{UniversalCIncludes}Events.h"					
							"{UniversalCIncludes}Memory.h"					
							"{UniversalCIncludes}Processes.h"				
							globals.h										
							appleEventHandlers.h							
							eventHandler.h									
							fileMenuRoutines.h								
							appleEventHandlers.c

fileMenuRoutines.c.o		"{UniversalCIncludes}Types.h"					
							"{UniversalCIncludes}Dialogs.h"					
							"{UniversalCIncludes}StandardFile.h"			
							"{UniversalCIncludes}TextUtils.h"				
							fileMenuRoutines.h								
							fileMenuRoutines.c
	 
menuDispatch.c.o			"{UniversalCIncludes}Types.h"					
							"{UniversalCIncludes}Desk.h"					
							"{UniversalCIncludes}Dialogs.h"					
							"{UniversalCIncludes}Events.h"					
							"{UniversalCIncludes}Files.h"					
							"{UniversalCIncludes}Menus.h"					
							globals.h										
							fileMenuRoutines.h								
							WindowExtensions.h								
							menuDispatch.h									
							menuDispatch.c
	
eventHandler.c.o			"{UniversalCIncludes}Types.h"					
							"{UniversalCIncludes}AppleEvents.h"				
							"{UniversalCIncludes}Desk.h"					
							"{UniversalCIncludes}Dialogs.h"					
							"{UniversalCIncludes}Editions.h"				
							"{UniversalCIncludes}EPPC.h"					
							"{UniversalCIncludes}Events.h"					
							"{UniversalCIncludes}Menus.h"					
							"{UniversalCIncludes}SegLoad.h"					
							"{UniversalCIncludes}TextUtils.h"				
							"{UniversalCIncludes}ToolUtils.h"				
							"{UniversalCIncludes}Windows.h"					
							globals.h										
							eventHandler.h									
							menuDispatch.h									
							WindowExtensions.h								
							eventHandler.c
	 
init.c.o					"{UniversalCIncludes}Types.h"					
							"{UniversalCIncludes}AppleEvents.h"				
							"{UniversalCIncludes}Dialogs.h"					
							"{UniversalCIncludes}Fonts.h"					
							"{UniversalCIncludes}GestaltEqu.h"				
							"{UniversalCIncludes}Menus.h"					
							"{UniversalCIncludes}Quickdraw.h"				
							"{UniversalCIncludes}ToolUtils.h"				
							"{UniversalCIncludes}Traps.h"					
							"{UniversalCIncludes}Windows.h"					
							globals.h										
							appleEventHandlers.h							
							eventHandler.h									
							menuDispatch.h									
							trapAvail.h										
							WindowExtensions.h								
							init.c
							
{ApplicationName}			"{RIncludes}SysTypes.r"							
							"{RIncludes}Types.r"							
							{ApplicationName}.rsrc							
							{ApplicationName}.r
	Rez {ApplicationName}.r -o {Targ} {ROptions}

{ApplicationName}			{Objs}
	Link -w -t APPL -c {CreatorType}										
		{Objs}																
		"{Libraries}"Runtime.o												
		"{Libraries}"Interface.o											
		-o {Targ}
	SetFile -a B {Targ}