/*
	File:		LarryPrivate.h

	Contains:	Private header file for Larry component routines.

				Refer to develop Issue 15, "Managing Component Registration",
				for details on this code.

	Written by:	Gary Woodcock

	Copyright:	 1993 by Apple Computer, Inc.

	Change History (most recent first):

*/

//-----------------------------------------------------------------------
// Includes

#ifndef	_LARRYPRIVATE_
#define	_LARRYPRIVATE_

#include "CompileFlags.h"

#include <Components.h>

//-----------------------------------------------------------------------
// Private constants

// Base resource ID
enum
{
	kLarryBaseResID = 300
};

// Maximum number of instances that can be opened
enum
{
	kMaxLarryInstances = 1
};

// Component and interface revision levels
enum
{
	larryInterfaceRev = 0x00010001	
};

//-----------------------------------------------------------------------
// Private types

typedef	struct LarryPrivateGlobals
{
	Component	self;	// Component ID
}
LarryPrivateGlobals, *LarryPrivateGlobalsPtr, **LarryPrivateGlobalsHdl;

//-----------------------------------------------------------------------
// Private prototypes

#ifdef BUILD_LINKED

// Only need this prototype if we're running linked (for debugging)
pascal ComponentResult
LarryDispatcher (ComponentParameters *params, Handle storage);
										 
#endif BUILD_LINKED
											 
pascal ComponentResult
_LarryOpen (Handle storage, ComponentInstance self);
	
pascal ComponentResult
_LarryClose (Handle storage, ComponentInstance self);

pascal ComponentResult
_LarryCanDo (short selector);

pascal ComponentResult
_LarryVersion (void);

pascal ComponentResult
_LarryRegister (void);

#ifdef THINK_C
#ifdef BUILD_LINKED

Component
RegisterLarry (void);

#endif BUILD_LINKED
#endif THINK_C

//-----------------------------------------------------------------------

#endif _LARRYPRIVATE_

//-----------------------------------------------------------------------
