# ------------------------------------------------------------------------------
#
#	FILENAME
#		4-Up.make
#
#	DESCRIPTION
#		This is the make file for the 4-Up printing extension.
#
#	COPYRIGHT
#		Copyright Apple Computer, Inc. 1991-1992
#		All rights reserved. 
#	
#	MODIFICATION HISTORY
#		06/10/91			PrintShop			Initial Implementation
#		10/22/92			Duane Byram			Added changes for version control
#
#
#-------------------------------------------------------------------------------


#========== Directories Containing Source and Object Files ==========

SourceFiles		= "{FourUp}"
Objects			= "{FourUp}Objects:"

#========== Compiler Options ==========

AsmOptions		= -sym off -i {PrIncludes} -case obj
CompileOptions	= -mbg full -sym off  -opt full -b2 -r -i {PrIncludes} -i {SkiaInterfaces} -i {SourceFiles}
RezOptions		= -s {PrIncludes} -i {PrIncludes} -d SystemSevenOrLater=1 {RIncludes}SysTypes.r  {RIncludes}Types.r	{PrIncludes}PrintingResTypes.r -i {SourceFiles}

#========== Files to Link With ==========

CObjs			=	"{Objects}4-Up.a.o"					
					"{Objects}4-Up.c.o"					
					{Libraries}Runtime.o


#========== Assembly Build Statements - 4-Up.a ==========

{Objects}4-Up.a.o		{SourceFiles}4-Up.a		
						{SourceFiles}4-Up.make
	Echo "Assembling 4-Up.a"
	Asm {AsmOptions}  {SourceFiles}4-Up.a -o {Objects}4-Up.a.o


#========== Compile Build Statements - 4-Up.c ==========

{Objects}4-Up.c.o			{SourceFiles}4-Up.c		
							{SourceFiles}4-Up.make	
							PrIncludesDump
	Echo "Compiling 4-Up.c"
	C {CompileOptions} {SourceFiles}4-Up.c  -o {Objects}4-Up.c.o


#========== Link and Rez Build Statements ==========

{PrTargets}Permods:4-Up 			{CObjs}						
									{SourceFiles}4-Up.r			
									{SourceFiles}4-Up.make
	Echo "Linking 4-Up Printing Extension"
	Link	-ra =resSysHeap,resPurgeable	
			-t 'pext'						
			-c '4-Up'						
			-rt pext=0						
			-sg 4-Up						
			-m FourUpEntry					
			{CObjs}							
			-o {PrTargets}Permods:4-Up;
	SetFile {PrTargets}Permods:4-Up -a iB;
	Echo "Rezzing 4-Up Printing Extension"
	Rez {RezOptions} -rd -o {PrTargets}Permods:4-Up {SourceFiles}4-Up.r -append
	MakeVersResource {Targ}
